Name:           cargo-c
Version:        0.10.4
Release:        %mkrel 1
Summary:        Build and install C-compatible libraries
Group:          Development/Other
License:        MIT
URL:            https://crates.io/crates/cargo-c
Source0:        https://github.com/lu-zero/cargo-c/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        %{name}-cargo-vendor-%{version}.tar.xz
Source10:        macros.cargo-c

# Packing script
Source100:      pack-cargo-vendor.sh

BuildRequires:  cargo >= 1.78.0
BuildRequires:  pkgconfig(openssl)

%description
cargo applet to build and install C-ABI compatible dynamic and static
libraries.

It produces and installs a correct pkg-config file, a static library and
a dynamic library, and a C header to be used by any C (and C-compatible)
software.

%prep
%autosetup -a1

%build
cargo build

%install
%__mkdir_p %{buildroot}%{_bindir}
%__cp target/debug/*capi %{buildroot}%{_bindir}/
%__cp target/debug/*cbuild %{buildroot}%{_bindir}/
%__cp target/debug/*cinstall %{buildroot}%{_bindir}/
install -D -p -m 0644 -t %{buildroot}/%{_rpmmacrodir} %{SOURCE10}

%files
%license LICENSE
%doc README.md
%{_bindir}/cargo-capi
%{_bindir}/cargo-cbuild
%{_bindir}/cargo-cinstall
%{_rpmmacrodir}/macros.cargo-c


%changelog
* Sat Sep 14 2024 kekepower <kekepower> 0.10.4-1.mga10
+ Revision: 2096158
- Update to version 0.10.4

* Tue Jul 30 2024 kekepower <kekepower> 0.10.3-1.mga10
+ Revision: 2082982
- Update to version 0.10.3

* Mon Jul 01 2024 kekepower <kekepower> 0.10.2-1.mga10
+ Revision: 2078326
- Update to version 0.10.2

* Thu Jun 27 2024 kekepower <kekepower> 0.10.1-1.mga10
+ Revision: 2077340
- Update to version 0.10.1

* Tue Jun 18 2024 kekepower <kekepower> 0.10.0-1.mga10
+ Revision: 2074775
- Update to version 0.10.0

* Wed Feb 14 2024 kekepower <kekepower> 0.9.30-1.mga10
+ Revision: 2041083
- Update to version 0.9.30

* Sun Dec 31 2023 kekepower <kekepower> 0.9.29-1.mga10
+ Revision: 2024848
- Update to version 0.9.29

* Tue Nov 21 2023 kekepower <kekepower> 0.9.28-1.mga10
+ Revision: 2008981
- Update to version 0.9.28

* Wed Oct 25 2023 tv <tv> 0.9.26-2.mga10
+ Revision: 2001195
- Add RPM macros for cargo-cbuild and cargo-cinstall

* Tue Oct 10 2023 kekepower <kekepower> 0.9.26-1.mga10
+ Revision: 1994175
- Update to version 0.9.26
- Update to version 0.9.24

* Sat Jun 03 2023 kekepower <kekepower> 0.9.20-1.mga9
+ Revision: 1960852
- Update to version 0.9.20

* Sun Apr 30 2023 kekepower <kekepower> 0.9.19-2.mga9
+ Revision: 1955471
- Remove Patch0 and build with cargo 1.69.0

* Mon Apr 24 2023 kekepower <kekepower> 0.9.19-1.mga9
+ Revision: 1954762
- Update to version 0.9.19

* Mon Apr 24 2023 kekepower <kekepower> 0.9.18-1.mga9
+ Revision: 1954752
- Update to version 0.9.18

* Mon Mar 13 2023 kekepower <kekepower> 0.9.17-1.mga9
+ Revision: 1948768
- Update to version 0.9.17

* Tue Feb 07 2023 kekepower <kekepower> 0.9.16-2.mga9
+ Revision: 1939333
- Bump rel to build on armv7

* Sat Jan 28 2023 kekepower <kekepower> 0.9.16-1.mga9
+ Revision: 1936578
- Update to version 0.9.16

* Tue Dec 20 2022 kekepower <kekepower> 0.9.15-1.mga9
+ Revision: 1925437
- Update to version 0.9.15

* Sat Nov 05 2022 kekepower <kekepower> 0.9.14-1.mga9
+ Revision: 1903667
- Update to version 0.9.14

* Tue Sep 27 2022 kekepower <kekepower> 0.9.13-1.mga9
+ Revision: 1892773
- Update to version 0.9.13

* Sun Aug 14 2022 kekepower <kekepower> 0.9.12-1.mga9
+ Revision: 1877522
- Update to version 0.9.12

* Tue Jul 05 2022 kekepower <kekepower> 0.9.11-1.mga9
+ Revision: 1867726
- Update to version 0.9.11

* Mon Apr 25 2022 kekepower <kekepower> 0.9.9-1.mga9
+ Revision: 1853730
- Update to version 0.9.9
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 kekepower <kekepower> 0.9.8-1.mga9
+ Revision: 1785343
- Update to version 0.9.8

* Sun Feb 20 2022 kekepower <kekepower> 0.9.7-1.mga9
+ Revision: 1781706
- Update to version 0.9.7

* Sat Oct 02 2021 wally <wally> 0.9.3-2.mga9
+ Revision: 1747912
- rebuild for openssl 3.0.0

* Sun Sep 19 2021 kekepower <kekepower> 0.9.3-1.mga9
+ Revision: 1745966
- Update to version 0.9.3

* Sat Aug 07 2021 kekepower <kekepower> 0.9.2-1.mga9
+ Revision: 1740082
- Update to version 0.9.2

* Mon Jul 05 2021 kekepower <kekepower> 0.9.1-1.mga9
+ Revision: 1734903
- Update to version 0.9.1

* Sun Jul 04 2021 kekepower <kekepower> 0.9.0-1.mga9
+ Revision: 1734619
- Update to version 0.9.0

* Wed Jun 23 2021 kekepower <kekepower> 0.8.3-1.mga9
+ Revision: 1732001
- Update to version 0.8.3

* Sat Jun 19 2021 kekepower <kekepower> 0.8.2-1.mga9
+ Revision: 1731262
- Update to version 0.8.2

* Thu May 27 2021 kekepower <kekepower> 0.8.1-1.mga9
+ Revision: 1728680
- Update to version 0.8.1

* Fri Apr 02 2021 kekepower <kekepower> 0.8.0-1.mga9
+ Revision: 1712761
- Update to version 0.8.0

* Thu Feb 25 2021 kekepower <kekepower> 0.7.3-1.mga9
+ Revision: 1690884
- Update to version 0.7.3

* Wed Dec 30 2020 kekepower <kekepower> 0.7.0-1.mga8
+ Revision: 1665588
- Update to version 0.7.0

* Mon Nov 23 2020 kekepower <kekepower> 0.6.18-1.mga8
+ Revision: 1648781
- Update to version 0.6.18

* Wed Oct 14 2020 kekepower <kekepower> 0.6.15-1.mga8
+ Revision: 1635915
- Update to version 0.6.15

* Tue Oct 13 2020 kekepower <kekepower> 0.6.14-1.mga8
+ Revision: 1635502
- Update to version 0.6.14

* Fri Sep 25 2020 kekepower <kekepower> 0.6.13-1.mga8
+ Revision: 1630076
- Update to version 0.6.13

* Mon Aug 31 2020 kekepower <kekepower> 0.6.12-1.mga8
+ Revision: 1620302
- imported package cargo-c

