#!/usr/bin/bash

VERSION=$(grep Version ../SPECS/cargo-c.spec | grep -v Up | cut -d: -f2 | sed -e 's|^[[:space:]]*||')
NAME=$(grep Name ../SPECS/cargo-c.spec | cut -d: -f2 | sed -e 's|^[[:space:]]*||')

if [ ! -f ${NAME}-${VERSION}.tar.gz ]; then
	echo "${NAME}: Downloading source"
	wget -q https://github.com/lu-zero/cargo-c/archive/v${VERSION}/${NAME}-${VERSION}.tar.gz
fi

echo "${NAME}: Preparing"
tar xfz ${NAME}-${VERSION}.tar.gz
cd ${NAME}-${VERSION}
echo "${NAME}: Running cargo vendor"
mkdir .cargo
cargo vendor -s Cargo.toml > .cargo/config.toml
tar cf ../${NAME}-cargo-vendor-${VERSION}.tar vendor .cargo/config.toml
cd ..
echo "${NAME}: Compressing the archive"
xz ${NAME}-cargo-vendor-${VERSION}.tar
rm -rf ${NAME}-${VERSION}
echo "${NAME}: Done"
